iMac G3 uit het stof, browser probleem of iets anders?

Hoi,

Ik heb een iMac G3 uit het stof gehaald, wilde kijken of die nog werkt, ja hoor…, maar wel een probleem voor mij.

Er staat OS 10.3.9 op, met Safari 1.3.2

Ik kan niet goed browsen,

  1. krijg gedoe met https sites.

  2. heb er een oude FireFox versie op gezet, 2.0.0.20

Hoe kan ik op dit systeempje de site van Apple bekijken?

Is dit een kwestie van oude browsers of wat anders?

Iemand een tip(s)?

Dat is vanwege de Heartbleed Bug een aantal jaren geleden.

Apple heeft eind 2012 (uit mijn hoofd) OpenSSL op alle Mac OS X versies geblokkeerd dat op dat moment niet meer ondersteund waren door Apple. Oftewel ze hebben deze verbinding bewust kaput gemaakt om te voorkomen dat mensen op dit soort oude systemen via https gaan surfen en apps gebruiken en dan denken dat ze op een veilige verbinding zitten omdat er een slotje in de url-blak staat terwijl dat natuurlijk niet het geval is wanneer je niet handmatig deze software upgrade.

Dat is de reden waarom dat niet meer werkt en het gevaarlijke aan het gebruik van oudere versies van OS X op dit moment. Apps zijn vaak op de achtergrond ook verbonden met het internet, niet alleen browsers en terwijl wij er tegenwoordig in 2017 standaard vanuit gaan dat developers een https lijn gebruiken om hun apps te updaten en data heen en weer te sturen over het internet was dat vroeger helemaal niet de normaalste zaak van de wereld.

http://www.floodgap.com/software/tenfourfox/

@Shmoo,

Is er een oplossing?

Een nieuwer OS?, wat niet meer kan dacht ik,

Terug naar OS 9?

Alleen sites benaderen die nog http zijn?

Of is dit systeem niet meer bruikbaar op het Internet?

Oude computers en software niet meer gebruiken is de oplossing.

Je kunt vast wel wat 3rd party browsers zoeken die functioneren maar dan zal je zelf moeten gaan uitzoeken op welke manier deze gebruik maken van https en hoe ze dit regelen.

@Shmoo,

Hij zou dus met de juiste browser toch nog bruikbaar kunnen worden?

Misschien hier nog een browserende iMac G3’er? die een tip heeft…?

Probeer dat TenFourFox nou eens.

Nog een stem voor tenfourfox. Deze vereist echter wel Tiger (10.4).

Afhankelijk van welke G3 je hebt zou je nog naar Tiger (10.4) kunnen upgraden, en tenfourfox als browser proberen.
https://everymac.com/systems/apple/imac/faq/imac-g3-macos-preinstalled-macos-9-x-compatibility.html

Ook leuk: een iMac G4 proberen te upgraden naar Mac OS X 10.5.x

Zo’n ding heeft een single layer DVD-drive, en die upgrade schijven zijn allemaal dual layer.

En opstarten van USB kan niet. . :slight_smile:

Wellicht is een PPC geoptimaliseerde distributie van Linux een oplossing. Heb je meteen alle moderne software.

@KarelWillem,

Kan je niet opstarten met FireWire?

@TheBigz,

Het is een iMac DV SE, zou 10.4.11 Tiger kunnen hebben…

Nu nog uitvinden hoe dat er op te krijgen…

Hoera, het is gelukt…

@Shmoo, update naar 10.4.11

@Penseel, tenfourfox geinstalleerd…

Alles OK nu, vreemd om op de Apple site een pagina met de iPhone X te zien, op deze Mac uit de vorige eeuw…

Hoera!!!

(y)

Gaaf…

Ik ben al naar 10.3.9. Dus kom in de buurt. :slight_smile:

(y)

Waar halen jullie nu nog Tiger vandaan? Marktplaats ofzo?

Internet…

Maar serieus; zelfs een beetje fatsoenlijk internetten op een iMac G5 is er al niet meer bij, laat staan op een G3 :expressionless: